package cn.com.poc.thirdparty.resource.demand.ai.entity.legal;

import java.util.ArrayList;
import java.util.List;

/**
 * @author alex.yao
 * @date 2025/7/28
 */
public class Item {

    /**
     * 替换键
     * 例如：
     * 替换键 例如:name 则替换文件中 ${name}
     */
    private String key;

    /**
     * 替换值
     */
    private List<String> value;

    /**
     * 替换类型
     * 1. text - 纯文本替换
     * 2. checkbox - 复选框替换
     */
    private String type;

    /**
     * 替换选项 - 仅在 type 为 checkbox 时有效
     * 例如：
     * 1. 是
     * 2. 否
     * <p>
     * 当替换值中存在 “是” 时，则在生成的合同中勾选 “是”，否则不勾选。
     */
    private List<String> options = new ArrayList<>();

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public List<String> getValue() {
        return value;
    }

    public void setValue(List<String> value) {
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<String> getOptions() {
        return options;
    }

    public void setOptions(List<String> options) {
        this.options = options;
    }
}
